SSTableBoundedScanner (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class SSTableBoundedScanner

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableScanner
          org.apache.cassandra.io.sstable.SSTableBoundedScanner

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumnIterator>, CloseableIterator<IColumnIterator>

    public class SSTableBoundedScanner

extends SSTableScanner

A SSTableScanner that only reads key in a given range (for validation compaction).

Nested Class Summary
`protected class` | `SSTableBoundedScanner.BoundedKeyScanningIterator`

Nested classes/interfaces inherited from class org.apache.cassandra.io.sstable.SSTableScanner
`SSTableScanner.KeyScanningIterator`

Field Summary

Fields inherited from class org.apache.cassandra.io.sstable.SSTableScanner
`exhausted, file, iterator, sstable`

Method Summary
`boolean` | `hasNext()`
`IColumnIterator` | `next()`

Methods inherited from class org.apache.cassandra.io.sstable.SSTableScanner
`close, getFileLength, getFilePointer, remove, seekTo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IColumnIterator>`
  Overrides:
    `hasNext` in class `SSTableScanner`

### next

    public IColumnIterator next()

  Specified by:
    `next` in interface `java.util.Iterator<IColumnIterator>`
  Overrides:
    `next` in class `SSTableScanner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation